{stdenv, lib, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "exploitdb";
  version = "2021-08-06";

  src = fetchFromGitHub {
    owner = "offensive-security";
    repo = pname;
    rev = version;
    sha256 = "sha256-aKF/6SuSAk319QqGmyUu91//ofvPtHxX2Uv8FxhzqCM=";
  };

  installPhase = ''
    runHook preInstall
    mkdir -p $out/bin
    cp --recursive ./* $out/bin
    cp ./.searchsploit_rc $out/bin
    runHook postInstall
  '';

  meta = with lib; {
    homepage = "https://github.com/offensive-security/exploitdb";
    description = "Archive of public exploits and corresponding vulnerable software";
    license = with licenses; [ gpl2Plus gpl3Plus mit ];
    maintainers = with maintainers; [ applePrincess ];
  };
}
